uses linux;

var 
  uid, euid, gid, egid : longint;
begin
  (* Получить истинный идентификатор пользователя *)
  uid := getuid;
  (* Получить действующий идентификатор пользователя *)
  euid := geteuid;
  (* Получить истинный идентификатор группы *)
  gid := getgid;
  (* Получить действующий идентификатор группы *)
  egid := getegid;
end.
